<template>
  <AccordionFieldset label="Santé">
    <div class="fr-container--fluid">
      <div class="fr-grid-row fr-grid-row--gutters form-grid">
        <AtomSelect
          name="gir"
          label="GIR"
          :options="GIRS"
          :model-value="beneficiary?.gir || ''"
        />
        <AtomInput
          class="fr-col-offset-lg-4--right"
          name="doctor"
          label="Médecin traitant"
          :value="beneficiary?.doctor || ''"
        />
        <AtomInput
          class="fr-col-12"
          name="health_additional_information"
          label="Informations complémentaires"
          :value="beneficiary?.health_additional_information || ''"
        />
        <AtomInput
          v-if="hasNirAccess"
          name="social_security_number"
          label="N° Sécurité Sociale"
          :value="beneficiary?.social_security_number || ''"
          type="social-security-number"
          hint="La clé du n° de sécurité sociale est optionnelle"
        />
        <AtomInput
          name="insurance"
          label="Mutuelle"
          :value="beneficiary?.insurance || ''"
        />
      </div>
    </div>
  </AccordionFieldset>
</template>

<script setup>
  import { withEmptyValue } from '~/utils'
  import { useAuthStore } from '~/store/auth'

  const authStore = useAuthStore()
  const isMinistryAgent = useMinistryAgent()

  defineProps({ beneficiary: { type: Object, default: null } })

  const GIRS = withEmptyValue(
    new Map(
      Array.from({ length: 6 }, (_, i) => i + 1).map(nb => [
        `gir_${nb}`,
        `Niveau ${nb}`
      ])
    )
  )

  const hasNirAccess = computed(
    () => !isMinistryAgent.value && !authStore.isAssociationAgent
  )
</script>
